package com.gonghang.h5clientapp.beans;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * Created by shiwn on 2022/8/3 15:24
 */
public class RobotData {

    //实际，机器人坐标点
    @JsonProperty(value = "pos_x")
    private int posX;
    @JsonProperty(value = "pos_y")
    private int posY;
    @JsonProperty(value = "pos_z")
    private int posZ;

    @JsonProperty(value = "ang_yaw")
    private int angYaw;

    @JsonProperty(value = "work_speed")
    private int workSpeed;
    @JsonProperty(value = "left_speed")
    private int leftSpeed;
    @JsonProperty(value = "right_speed")
    private int rightSpeed;

    private int pitch;//俯仰角度：云台 Y轴
    private int yaw;  //旋转角度：云台 X轴
    private int roll; //倾斜角度：云台 Z轴
    @JsonProperty(value = "ptz_speed")
    private int ptzSpeed;
    private int ratio;
    @JsonProperty(value = "focal_distance")
    private int focalDistance;
    private int diaphragm;
    private int focusing;

    /**   #0  待机（默认模式），1：开机（运行模式）
     //    #2：休息模式
     //    #3：自动巡检模式
     //    #4：手动模式
     //    #5：充电模式
     //    #6：暂停模式
     //    #7：故障检修状态
     //    #8：遥控模式
     //    #9: 紧急定位模式（半自动模式）*/
    @JsonProperty(value = "work_status")
    private int workStatus;

    @JsonProperty(value = "work_temp")
    private float workTemp;
    @JsonProperty(value = "work_mile")
    private float workMile;
    @JsonProperty(value = "work_time")
    private float workTime;
    @JsonProperty(value = "point_count")
    private int pointCount;
    @JsonProperty(value = "bad_count")
    private int badCount;

    @JsonProperty(value = "wifi_com")  //无线通信
    private byte wifiCom;
    @JsonProperty(value = "system_com")//系统通信
    private byte systemCom;
    @JsonProperty(value = "camera_com")//高清摄像头通信
    private byte cameraCom;
    @JsonProperty(value = "infrared_com")//高清红外通信
    private byte infraredCom;
    @JsonProperty(value = "room_com")    //充电房通信
    private byte roomCom;

    private float cap;//电量（0.00%~100.00%）
    private float temp;//温度
    private float cur;//电流
    private float vol;//电压
    @JsonProperty(value = "charging_vol")//充电电压
    private float chargingVol;
    @JsonProperty(value = "charging_status")//充电状态，0未充电，1正在充电
    private boolean chargingStatus;
    private byte bal;//电池稳定性（不为零，即电池异常）

    @JsonProperty(value = "open_camera")
    private boolean openCamera;
    @JsonProperty(value = "open_infrared")
    private boolean openInfrared;
    @JsonProperty(value = "open_wiper")
    private boolean openWiper;
    @JsonProperty(value = "open_light")
    private boolean openLight;
    @JsonProperty(value = "open_radar")
    private boolean openRadar;
    @JsonProperty(value = "open_room")
    private boolean openRoom;
    @JsonProperty(value = "open_robot")
    private boolean openRobot;

    @JsonProperty(value = "error_code")
    private int errorCode;

    public int getPosX() {
        return posX;
    }

    public void setPosX(int posX) {
        this.posX = posX;
    }

    public int getPosY() {
        return posY;
    }

    public void setPosY(int posY) {
        this.posY = posY;
    }

    public int getPosZ() {
        return posZ;
    }

    public void setPosZ(int posZ) {
        this.posZ = posZ;
    }

    public int getAngYaw() {
        return angYaw;
    }

    public void setAngYaw(int angYaw) {
        this.angYaw = angYaw;
    }

    public int getWorkSpeed() {
        return workSpeed;
    }

    public void setWorkSpeed(int workSpeed) {
        this.workSpeed = workSpeed;
    }

    public int getLeftSpeed() {
        return leftSpeed;
    }

    public void setLeftSpeed(int leftSpeed) {
        this.leftSpeed = leftSpeed;
    }

    public int getRightSpeed() {
        return rightSpeed;
    }

    public void setRightSpeed(int rightSpeed) {
        this.rightSpeed = rightSpeed;
    }

    public int getPitch() {
        return pitch;
    }

    public void setPitch(int pitch) {
        this.pitch = pitch;
    }

    public int getYaw() {
        return yaw;
    }

    public void setYaw(int yaw) {
        this.yaw = yaw;
    }

    public int getRoll() {
        return roll;
    }

    public void setRoll(int roll) {
        this.roll = roll;
    }

    public int getPtzSpeed() {
        return ptzSpeed;
    }

    public void setPtzSpeed(int ptzSpeed) {
        this.ptzSpeed = ptzSpeed;
    }

    public int getRatio() {
        return ratio;
    }

    public void setRatio(int ratio) {
        this.ratio = ratio;
    }

    public int getFocalDistance() {
        return focalDistance;
    }

    public void setFocalDistance(int focalDistance) {
        this.focalDistance = focalDistance;
    }

    public int getDiaphragm() {
        return diaphragm;
    }

    public void setDiaphragm(int diaphragm) {
        this.diaphragm = diaphragm;
    }

    public int getFocusing() {
        return focusing;
    }

    public void setFocusing(int focusing) {
        this.focusing = focusing;
    }

    public int getWorkStatus() {
        return workStatus;
    }

    public void setWorkStatus(int workStatus) {
        this.workStatus = workStatus;
    }

    public float getWorkTemp() {
        return workTemp;
    }

    public void setWorkTemp(float workTemp) {
        this.workTemp = workTemp;
    }

    public float getWorkMile() {
        return workMile;
    }

    public void setWorkMile(float workMile) {
        this.workMile = workMile;
    }

    public float getWorkTime() {
        return workTime;
    }

    public void setWorkTime(float workTime) {
        this.workTime = workTime;
    }

    public int getPointCount() {
        return pointCount;
    }

    public void setPointCount(int pointCount) {
        this.pointCount = pointCount;
    }

    public int getBadCount() {
        return badCount;
    }

    public void setBadCount(int badCount) {
        this.badCount = badCount;
    }

    public byte getWifiCom() {
        return wifiCom;
    }

    public void setWifiCom(byte wifiCom) {
        this.wifiCom = wifiCom;
    }

    public byte getSystemCom() {
        return systemCom;
    }

    public void setSystemCom(byte systemCom) {
        this.systemCom = systemCom;
    }

    public byte getCameraCom() {
        return cameraCom;
    }

    public void setCameraCom(byte cameraCom) {
        this.cameraCom = cameraCom;
    }

    public byte getInfraredCom() {
        return infraredCom;
    }

    public void setInfraredCom(byte infraredCom) {
        this.infraredCom = infraredCom;
    }

    public byte getRoomCom() {
        return roomCom;
    }

    public void setRoomCom(byte roomCom) {
        this.roomCom = roomCom;
    }

    public float getCap() {
        return cap;
    }

    public void setCap(float cap) {
        this.cap = cap;
    }

    public float getTemp() {
        return temp;
    }

    public void setTemp(float temp) {
        this.temp = temp;
    }

    public float getCur() {
        return cur;
    }

    public void setCur(float cur) {
        this.cur = cur;
    }

    public float getVol() {
        return vol;
    }

    public void setVol(float vol) {
        this.vol = vol;
    }

    public float getChargingVol() {
        return chargingVol;
    }

    public void setChargingVol(float chargingVol) {
        this.chargingVol = chargingVol;
    }

    public boolean isChargingStatus() {
        return chargingStatus;
    }

    public void setChargingStatus(boolean chargingStatus) {
        this.chargingStatus = chargingStatus;
    }

    public byte getBal() {
        return bal;
    }

    public void setBal(byte bal) {
        this.bal = bal;
    }

    public boolean isOpenCamera() {
        return openCamera;
    }

    public void setOpenCamera(boolean openCamera) {
        this.openCamera = openCamera;
    }

    public boolean isOpenInfrared() {
        return openInfrared;
    }

    public void setOpenInfrared(boolean openInfrared) {
        this.openInfrared = openInfrared;
    }

    public boolean isOpenWiper() {
        return openWiper;
    }

    public void setOpenWiper(boolean openWiper) {
        this.openWiper = openWiper;
    }

    public boolean isOpenLight() {
        return openLight;
    }

    public void setOpenLight(boolean openLight) {
        this.openLight = openLight;
    }

    public boolean isOpenRadar() {
        return openRadar;
    }

    public void setOpenRadar(boolean openRadar) {
        this.openRadar = openRadar;
    }

    public boolean isOpenRoom() {
        return openRoom;
    }

    public void setOpenRoom(boolean openRoom) {
        this.openRoom = openRoom;
    }

    public boolean isOpenRobot() {
        return openRobot;
    }

    public void setOpenRobot(boolean openRobot) {
        this.openRobot = openRobot;
    }

    public int getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }
}
